Bug 506462 - service pack dependency mismatch
service pack dependency mismatch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 08:51 EDT by Rahul Sundaram
Modified: 2013-03-13 01:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-06-17 08:51:53 EDT
Description of problem:

I have a bit of a corner case in trying to use a service pack across systems. Package foo has dependency on foo-core. If I create a service pack for foo-1.0 and foo-core 1.0 and another user has a updated foo-core 1.1, the service pack claims that foo itself is already installed and fails. If I do remove foo-core 1.1, then it proceeds. It would be nice if foo-core 1.1 was prompted to be removed by PackageKit or even automatically removed if it is a library that is not being a dependency for other installed apps.
Comment 1 Richard Hughes 2009-06-17 08:59:01 EDT
So the sevice pack install shouldn't check for foo-core-1.0, but just check for (and ignore?) foo-core?
Comment 2 Rahul Sundaram 2009-06-17 09:15:13 EDT
Unless there is a specific version dependency from foo on foo-core-1.0, foo-core-1.1 should satisfy that requirement just fine and foo can be installed. 

If there is a dependency on foo-core-1-1, foo-core should of course be updated to that version before installing foo

Neither of these cases seems to be handled well currently.
Comment 3 Bug Zapper 2009-11-16 05:13:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:05:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:50:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.